# Class Paragraph

#### Hierarchy

- FileChild
  - Paragraph

- Defined in file/paragraph/paragraph.ts:45

#####
Index

### Constructors

constructor

### Properties

fileChild

### Methods

addChildElement
addRunToFront
prepForXml

## Constructors

### constructor

- new Paragraph(options): Paragraph

- #### Parameters

  - ##### options: string | IParagraphOptions

  #### Returns Paragraph

  Overrides FileChild.constructor

  - Defined in file/paragraph/paragraph.ts:48

## Properties

### `Readonly` fileChild

fileChild: symbol = ...

Inherited from FileChild.fileChild

- Defined in file/file-child.ts:4

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from FileChild.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### addRunToFront

- addRunToFront(run): Paragraph

- #### Parameters

  - ##### run: Run

  #### Returns Paragraph

  - Defined in file/paragraph/paragraph.ts:100

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides FileChild.prepForXml

  - Defined in file/paragraph/paragraph.ts:82

Generated using TypeDoc